| Home | Libraries | People | FAQ | More

###### value::get_bool (1 of 2 overloads)

Return a reference to the underlying `bool`, without checking.

###### Synopsis

    bool&
    get_bool();

###### Description

This is the fastest way to access the underlying representation when the kind is known in advance.

###### Preconditions

    this->is_bool()

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.